- [x] One puzzle per day
- [x] high contrast theme
- [x] Previous day in state was preventing a new day from firing
- [x] modal slide up
- [x] Game state in local storage
- [x] Darken colors for nightmode
- [x] bundling
- [x] update COMPLETE to be WIN / FAIL
- [x] graph class and graph id is confusing
- [x] max the max in the graph and then scale others relative to this
- [x] Score
- [x] graph bars are all maxed out with 1 game played and 0 wins
- [x] show modal on win/loss via separate event
- [x] UI
- [x] set a font-color once - we have logic in a bunch of places determining what color to use based on theme. Want one color to display on top of absent/present/correct/etc.
- [x] add reminder indicating which color means what
- [x] theme toggles on modal dismiss
- [x] refactor game-theme-manager to wrap app
- [x] colorblind isn't being applied from localstorage on load
- [x] toggle switch for darkmode, colorblind
- [x] add close button to modal
- [x] cleanup modal css
- [x] make overlay explicit in modal
- [x] opening dev tools enters 'dead' and breaks input
- [x] sizing on fullscreen desktop is kinda weird
- [x] no resizing when window resizes
- [x] filter plurals 2 please bug
- [x] prevent zoom on mobile
- [x] button active color
- [x] consistently hitting rendering bug with dev tools closed
- [x] hash js filename and copy html
- [x] handle streak - store last day won for streak?
- [x] use animationDelay instead of settimeout
- [x] 3 digits look funky in stats
- [x] remove av score (redundant with graphs?)
- [x] no selectable text on the keyboard/gameboard
- [x] win animation - bounce?
- [x] zooming on iOS
- [x] customize victory toast based on rowindex
- [x] split help out into its own page
- [x] font color for colorblind mode
- [x] styling for tutorial and stats
- [x] text color of victory toast doesn't obey dark mode
- [x] icons (delete, settings, help);
- [x] style header header
- [x] concurrently
- [x] First win should put you at a streak of 1, currently puts you at zero
- [x] Hard mode
- [x] Game winning toast should have z-index under the page and modal
- [x] Dad delete zoom chrome
- [x] show help modal on first arrive
- [x] invalid status not cleared after invalid submit
- [x] give the whole thing a max height on desktop?
- [x] Menu for settings
      Dark mode
      Colorblind mode
      Reminders
      statistices (triggers modal)

- [x] How to play
      Guess the hidden word in 6 tries
      After each guess, you'll be shown a hint based on the letters you added.
      [C] - This means the letter is correct and in the same spot in the hidden word
      [B] - This means the letter is present in the hidden word but not in this spot
      [A] - This means the letter is not in the hidden word
- [x] why is modal out of bounds on smaller screens
- [x] prod bundle, babel, webcomponents?, minifyHTML
- [x] modal sizing is weird. maybe set a min-width? doesn't cover the board on desktop and then too large on mobile?
- [x] possible to have two modals open by triggering the help modal while the game is loading from local storage after a win. maybe check if a modal is already mounted?
- [ ] inconsistent with the $ thing - should i be adding styles to the host instead?
- [ ] css vendor prefixes
- [ ] Install on homescreen - PWA?
- [ ] Opt-in Daily Reminder PNs
- [ ] animate graph bars?
- [ ] unclear on stats what your most recent was
- [ ] on button press, show button above
- [ ] min width for graph, as they get compressed when in a minority. e.g. 20 games, 19 level 2 and 1 level 3, the bar of level 3 is almost too small. Also, what if the numbers become double digits? Test with a large number of games? Also need to handle the case where it is 0?.
- [ ] why is all of lodash being included? adding 53KB to the bundle
- [ ] Don't animate tiles on help screen
- [ ] Rollup watcher doesn't work on index.html
- [ ] color guess and delete buttons differently

- [ ] weekly archive
- [ ] manifest / icons
- [ ] dont send GA events in debug mode
- [ ] versioning for gamestate
- [ ] custom ga events - guess - correct - fail

- [ ] tests for timezones failures
- [ ] helper tool for putting game into certain states
- [ ] sfx
- [ ] save to device icons for iOS
- [ ] offline cache
- [ ] better way to handle dev mode?
- [ ] plugin-replace to handle env variable - place before terser?
- [ ] build and then deploy sequentially with prod env var, could accidenteally deploy the dev release right now
- [ ] replace lodash with deepmerge

- [ ] tiny bug report: in a fresh browser (no previous history) i visited the wordle on tuesday but didn't play the game. then i went to play on wednesday and got tuesday's word. i finished the tuesday word and refreshed hoping to get my wednesday word but instead it just acted like i was done for the day.

- [ ] Dim the rows not currently active
- [ ] disable enter button until row is filled
- [ ] animate enter button first time row is filled?
- [ ] add mention about double letters to help? (not sure this one is needed)

---

## Facts

2175 Solution words
Almost 6 years worth of wordles without repeti
5 letter words: 12972 (almost 13k)

---

## Updating launch date

{dayOffset: 6597}
const LAUNCH_DATE = new Date('2003-08-08');

---

## Date weirdness

LAUNCH_DATE = new Date('2021-06-19')

13:54:50.369 Sat Jun 19 2021 01:00:00 GMT+0100 (British Summer Time)
05:55:15.368 Fri Jun 18 2021 17:00:00 GMT-0700 (Pacific Daylight Time)

CA
msDiff: 6307200000
\_endDate: Mon Aug 30 2021 00:00:00 GMT-0700 (Pacific Daylight Time) {}
\_startDate: Fri Jun 18 2021 00:00:00 GMT-0700 (Pacific Daylight Time) {}
{dayOffset: 73, wrappedIndex: 73}

BST
msDiff: 6220800000
\_endDate: Mon Aug 30 2021 00:00:00 GMT+0100 (British Summer Time) {}
\_startDate: Sat Jun 19 2021 00:00:00 GMT+0100 (British Summer Time) {}
{dayOffset: 72, wrappedIndex: 72}

I think what is happening is that when we create the start date using new Date(xxxx) it assumes the date is UTC and then converts it to local TZ, which adjusts the day.

When we create the day of play, we do that using new Date() which is local TZ?

---

## Archive

What gameState properties should be global?

- hardMode
- restoringFromLocalStorage
- What about the date ones?

What happens on refresh? Always return to the most recent game.
How to migrate folks over?

- Write to both formats for 1 week (to capture their plays)
- Flip to read from new state

A new word will be available each day
Have fun!

Spooky! You guessed the answer in 1 try!
Genius!
Amazing!
Awesome!
Great!
Nice! You guessed the answer in x tries!
Oh no! The answer was:

Come back and play tomorrow!

- color blind
- orange #F5793A
- blue #85c0f9

- game-scores
  Displays scores

solved
current streak
max streak
solve rate
average

guess graph
1,2,3,4,5,6,fail

Want to show some of the data on the win screen

How does streak work between days?
Streak can change when the app loads

When the game loads we loop over all the rows and create tiles
in creating tiles, we set their letter and evaluation

Tile:
// When the letter is set, we set this.\_animation = pop
// when Pop ends, we set to idle

- evaluation attr updated
- this.\_animation = 'flip-in' (250ms)
- (state is tbd)
- call \_render
- dataset.state = this.\_state
- dataset.animation = this.\_animation
- flip-in animation ends
- this.\_state = get attr evaluation
- this.\_animation = 'flip-out' (250ms)
- call \_render

in render, we always have the datasets reflect the properties.
instead, we should have the dataset.state only display if reveal is true?

https://github.com/trovu/trovu-web/blob/master/rollup.config.js

Define a bounce animation
apply to each tile with a custom delay?

["Genius!",
"Magnificent!",
"Impressive!",
"Splendid!",
"Great!",
"Nice!"]

take entire board
reduce it into
correct, then present for each letter

step through guess
check correct first
if correct and not matching
error
check

only allow switch to hard mode
add indicator somewhere that you're in hard mode

look at previous row
check correct
count presents, that number must be present in guess
