const { exec } = require('child_process');
exec('git branch --show-current', (err, stdout, stderr) => {
  if (err) {
    // handle your error
    console.log(err);
  }
  if (stdout.trim() !== 'master') {
    console.log(`Current branch: ${stdout}`);
    console.log('Not on master branch, aborting...');
    process.exit(1);
  }

  console.log('On master branch, continuing...');
});
