import { ALPHABET } from '../gamelogic'

const ROT13_ALPHABET = [
  ...ALPHABET.split('').slice(13),
  ...ALPHABET.split('').slice(0, 13),
]

export function rot13(input) {
  let output = ''

  for (let i = 0; i < input.length; i++) {
    const index = ALPHABET.indexOf(input[i])
    if (index >= 0) {
      output += ROT13_ALPHABET[index]
    } else {
      output += '_'
    }
  }

  return output
}
